petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMPlexPermute

Reorder the mesh according to the input permutation

### Synopsis

    #include "petscdmplex.h"
    #include "petscmat.h"
    PetscErrorCode DMPlexPermute(DM dm, IS perm, DM *pdm)

Collective on DM

### Input Parameter

| dm | - The DMPlex object
| perm | - The point permutation

### Output Parameter

pdm -The permuted DM

### Keywords

mesh

### See Also

MatPermute()

Level:intermediate
Location:src/dm/impls/plex/plexreorder.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages